import { Theme } from './types';
export type DeepPartial<T> = {
    [P in keyof T]?: T[P] extends object ? DeepPartial<T[P]> : T[P];
};
export declare function mergeTheme(baseTheme: Theme, overrides: DeepPartial<Theme>): Theme;
export declare function getSpacingVar(spacing: number | string | undefined): string | undefined;
